--===============================================Requires
phyz = require"phyzHook"
binds = require"keyBinder"
require"renderWorld"
require"mapLoader"
require"player"
require"title"
--===============================================Variables

map = {} --The loaded level

state = "title" --The game state

--===============================================Set up window
local icon = love.graphics.newImage("assets/icon.png")
love.graphics.setCaption("Gravitate")
love.graphics.setIcon(icon)
--===============================================Testing

--All testing material has been moved to a test level file

--===============================================Callbacks
function love.load(t)

end

function love.draw()
	if state == "title" then
		drawTitle()
	elseif state == "options" then
		drawOptions()
	elseif state == "credits" then
		drawCredits()
	elseif state == "level" then
		drawLevel()
	end
end


function love.keypressed(k,u)
	--Temporary
	if k=="f" then
		DRAW_FIELDS = not DRAW_FIELDS
	end
	if k=="escape" and state == "title" then
		love.event.quit()
	end
end

function love.update(dt)
	if state == "title" then
		updateTitle(dt)
	elseif state == "level" then
		playerUpdate(dt)
		map.world:update(dt)
	elseif state == "options" then
		updateOptions(dt)
	elseif state == "credits" then
		updateCredits(dt)
	end
end