local largeFont = love.graphics.newFont(128)
local normalFont = love.graphics.newFont(16)

local buttons = {
{
x = love.graphics.getWidth()/2 - 100,
y = 200,
text = "Play Demo",
},

{
x = love.graphics.getWidth()/2 - 100,
y = 300,
text = "Options",
},

{
x = love.graphics.getWidth()/2 - 100,
y = 400,
text = "Credits",
},
}

function drawTitle()
	love.graphics.setFont(largeFont)
	love.graphics.printf("Gravitate",love.graphics.getWidth()/2,10,-1,"center")
	love.graphics.setFont(normalFont)
	for i=1,#buttons do
		local b = buttons[i]
		love.graphics.setColor(10,100,200)
		love.graphics.rectangle("fill",b.x,b.y,200,50)
		love.graphics.setColor(255,255,255)
		love.graphics.printf(b.text,b.x,b.y+15,200,"center")
	end
	love.graphics.setColor(255,255,255)
end

function updateTitle(dt)
	if love.mouse.isDown("l") then
	local x,y = love.mouse.getPosition()
		for i=1,#buttons do
			local b = buttons[i]
			if x>b.x and x<b.x+200 and y>b.y and y<b.y+50 then
				if b.text == "Play Demo" then
					loadMap("maps/originalTestLevel")
					state = "level"
				elseif b.text == "Options" then
					state = "options"
				elseif b.text == "Credits" then
					state = "credits"
				end
			end
		end
	end
end

function drawOptions()
	love.graphics.printf("Not yet implemented, press esc to return to title",0,10,800,"center")
end

function updateOptions(dt)
	if love.keyboard.isDown("escape") then
		state = "title"
	end
end

function drawCredits()
	love.graphics.printf("Not yet implemented, press esc to return to title",0,10,800,"center")
end

function updateCredits(dt)
	if love.keyboard.isDown("escape") then
		state = "title"
	end
end